summaryrefslogtreecommitdiff
path: root/dev-ruby/typhoeus
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/typhoeus
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadsrcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/typhoeus')
-rw-r--r--dev-ruby/typhoeus/Manifest3
-rw-r--r--dev-ruby/typhoeus/metadata.xml13
-rw-r--r--dev-ruby/typhoeus/typhoeus-0.6.9-r1.ebuild30
-rw-r--r--dev-ruby/typhoeus/typhoeus-1.3.1.ebuild30
-rw-r--r--dev-ruby/typhoeus/typhoeus-1.4.0.ebuild30
5 files changed, 106 insertions, 0 deletions
diff --git a/dev-ruby/typhoeus/Manifest b/dev-ruby/typhoeus/Manifest
new file mode 100644
index 000000000000..3de929119ae9
--- /dev/null
+++ b/dev-ruby/typhoeus/Manifest
@@ -0,0 +1,3 @@
+DIST typhoeus-0.6.9.gem 49152 BLAKE2B 0c80c76c6ed8e9e564d6fc48b259b6c1d9c5c4422d29ef356fb092dc722e96afba319e682f5548603f1bebce96aa3e616161a5e036a7c23264b98835c41955e0 SHA512 5063d3217f35db29d216327b6eed10d6613d018c496935e78aa8e2b10ec21f3372df11fe48155b45387767d5572efa93e74afb0bb9b10782d28e87dead0294a4
+DIST typhoeus-1.3.1.gem 55808 BLAKE2B e3153870bfe2d5187aa433d81a287c2f9e9e6cf3caaf52b0f542fd35e4ac812786abc389c47ab56dd4267adb5206a5ce25c5ab6cc8559fa8dfbbd6b78e53fc16 SHA512 f826cdb7e48577226b12fc2715123e13519148f67d036470e385f80f8f3112d1ad24bf580c2ed0d213242c9afc1bdf868084266d430858b2cf6de73e50a11422
+DIST typhoeus-1.4.0.gem 56832 BLAKE2B 1f188a2c174a9d0e2cc0afc10f96d98a8c78278c1fa53eeb88da6f4f3986c8e204171a9bb817c95a217360346bda319711e7c89095ad48e878cbc3efc21e9887 SHA512 f48a99fd554f4d06d37a0a804ee79dd8423d9bff765394537ab0edba615e132d25660a6eb455e8628f59bd56c7ea26f4a195827d5287a53e58e3aeb394477284
diff --git a/dev-ruby/typhoeus/metadata.xml b/dev-ruby/typhoeus/metadata.xml
new file mode 100644
index 000000000000..e5167bfd6869
--- /dev/null
+++ b/dev-ruby/typhoeus/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="rubygems">typhoeus</remote-id>
+ <remote-id type="github">typhoeus/typhoeus</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-ruby/typhoeus/typhoeus-0.6.9-r1.ebuild b/dev-ruby/typhoeus/typhoeus-0.6.9-r1.ebuild
new file mode 100644
index 000000000000..00fd07d567fa
--- /dev/null
+++ b/dev-ruby/typhoeus/typhoeus-0.6.9-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md UPGRADE.md"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Runs HTTP requests in parallel while cleanly encapsulating handling logic"
+HOMEPAGE="https://rubygems.org/gems/typhoeus/
+ https://github.com/typhoeus/typhoeus"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/ethon-0.7.1"
+
+ruby_add_bdepend "test? ( dev-ruby/json >=dev-ruby/faraday-0.9 >=dev-ruby/sinatra-1.3 )"
+
+all_ruby_prepare() {
+ sed -e '/bundler/I s:^:#:' -i Rakefile spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/typhoeus/typhoeus-1.3.1.ebuild b/dev-ruby/typhoeus/typhoeus-1.3.1.ebuild
new file mode 100644
index 000000000000..f351f3b1aade
--- /dev/null
+++ b/dev-ruby/typhoeus/typhoeus-1.3.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md UPGRADE.md"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Runs HTTP requests in parallel while cleanly encapsulating handling logic"
+HOMEPAGE="https://rubygems.org/gems/typhoeus/
+ https://github.com/typhoeus/typhoeus"
+
+LICENSE="Ruby"
+SLOT="1"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/ethon-0.9.0"
+
+ruby_add_bdepend "test? ( dev-ruby/json >=dev-ruby/faraday-0.9 >=dev-ruby/sinatra-1.3 >=dev-ruby/redis-3.0 >=dev-ruby/dalli-2.7.9 )"
+
+all_ruby_prepare() {
+ sed -e '/bundler/I s:^:#:' -i Rakefile spec/spec_helper.rb || die
+}
diff --git a/dev-ruby/typhoeus/typhoeus-1.4.0.ebuild b/dev-ruby/typhoeus/typhoeus-1.4.0.ebuild
new file mode 100644
index 000000000000..ab55524ac1c2
--- /dev/null
+++ b/dev-ruby/typhoeus/typhoeus-1.4.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md UPGRADE.md"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Runs HTTP requests in parallel while cleanly encapsulating handling logic"
+HOMEPAGE="https://rubygems.org/gems/typhoeus/
+ https://github.com/typhoeus/typhoeus"
+
+LICENSE="Ruby"
+SLOT="1"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/ethon-0.9.0"
+
+ruby_add_bdepend "test? ( dev-ruby/json >=dev-ruby/faraday-0.9 >=dev-ruby/sinatra-1.3 >=dev-ruby/redis-3.0 >=dev-ruby/dalli-2.7.9 )"
+
+all_ruby_prepare() {
+ sed -e '/bundler/I s:^:#:' -i Rakefile spec/spec_helper.rb || die
+}